Package be.cin.mycarenet.esb.common.v2

# Class PartyType

java.lang.Object
be.cin.mycarenet.esb.common.v2.PartyType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:42+02:00", comments="JAXB RI v4.0.5") public class PartyType extends Object implements Serializable
Information about the party. A party is rather general. some examples are

     <?xml version="1.0" encoding="UTF-8"?><ol xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema"><li>A physical person by itself</li><li>A physical person working for an enterprise</li><li>A enterprise by itself</li></ol>

Java class for PartyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PhysicalPerson" type="{urn:be:cin:mycarenet:esb:common:v2}IdType" minOccurs="0"/>
             <element name="Organization" type="{urn:be:cin:mycarenet:esb:common:v2}IdType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdType`
  `getOrganization()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema"> The organization (enterprise, laboratory, hospital, ...) that was authenticated to send the request.
  `IdType`
  `getPhysicalPerson()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema"> The physical person that authenticated to send the request. This can only be omitted when the organization was authenticated by a eHealth certificate. </p>
  `void`
  `setOrganization(IdType value)`
  Sets the value of the organization property.
  `void`
  `setPhysicalPerson(IdType value)`
  Sets the value of the physicalPerson property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PartyType

    public PartyType()

- ## Method Details

  - ### getPhysicalPerson

    public IdType getPhysicalPerson()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">
                                     The physical person that authenticated to send the request.
                                     This can only be omitted when the
                                     organization was
                                     authenticated by a eHealth certificate.
                                 </p>

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">
                                     The SAML-ticket should contain the same information, although
                                     there are exception possible in case there
                                     is an organization.
                                     When not present in the SAML-ticket this information is treated
                                     as information. This data in
                                     this element should correspond
                                     to one or multiple of the following attributes:
                                 </p>

         <?xml version="1.0" encoding="UTF-8"?><ol xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema"><li>urn:be:fgov:person:ssin</li><li>urn:be:fgov:ehealth:1.0:certificateholder:person:ssin</li></ol>

    Returns:
      possible object is `IdType`

  - ### setPhysicalPerson

    public void setPhysicalPerson(IdType value)
    Sets the value of the physicalPerson property.
    Parameters:
      `value` - allowed object is `IdType`
    See Also:
      - `getPhysicalPerson()`

  - ### getOrganization

    public IdType getOrganization()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">
                                     The organization (enterprise, laboratory, hospital, ...)
                                     that was authenticated to send the request. This can only
                                     be omitted when the sender isn't part of an organization that
                                     is relevant for the request.
                                     <br/>
                                     Organization that have no link with the requests should not
                                     be provided. For example, 'physical person A' should
                                     not specify
                                     his employer 'enterprise B' if he got a personal mandate from
                                     nurse C (his wife).
                                 </p>

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">
                                     The same information must be present in the SAML-ticket. It
                                     can be in one or multiple of the following
                                     attributes:
                                 </p>

         <?xml version="1.0" encoding="UTF-8"?><ol xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema"><li>urn:be:fgov:ehealth:1.0:xxx:yyy-number</li><li>urn:be:fgov:ehealth:1.0:certificateholder:xxx:yyy-number</li></ol>

    Returns:
      possible object is `IdType`

  - ### setOrganization

    public void setOrganization(IdType value)
    Sets the value of the organization property.
    Parameters:
      `value` - allowed object is `IdType`
    See Also:
      - `getOrganization()`